Last modified: 2013-03-04 17:24:45 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 39125 - Document the Scribunto debug console messages
Document the Scribunto debug console messages
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
Scribunto (Other open bugs)
unspecified
All All
: High major (vote)
: ---
Assigned To: Brad Jorsch
http://translatewiki.net/w/i.php?titl...
: i18n
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2012-08-08 09:41 UTC by Amir E. Aharoni
Modified: 2013-03-04 17:24 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Amir E. Aharoni 2012-08-08 09:41:12 UTC
The messages for the debug console are not documented.

Most translators probably don't know Lua and don't have enough technical knowledge to install the extension to see the messages in action. Expressions like "module exports" are especially unclear. I know what a "debug console" is from other programming languages, but many translators aren't programmers and don't know what it is.

I tried to document 'scribunto-console-intro', but I don't really know Lua and it's possible that I misunderstood something, so please check it, too.

Thank you.
Comment 1 Brad Jorsch 2013-03-01 18:54:58 UTC
Gerrit change #51674.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links